Compatible Browsers

To ensure a secure environment, our service has built-in tools to warn users if their browser is out-of-date and provides a simple link to update it. This table shows what browsers are supported and which are not. For the most part, if your browser is younger than about five years old, you’re fine.

Leave a Reply

Your email address will not be published. Required fields are marked *